Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportUnitAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportUnitAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ReportUnitAction

extends org.springframework.webflow.action.FormAction

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportUnitAction()`

Method Summary
`org.springframework.webflow.execution.Event` | `addControl(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `addInputControl(ReportUnitWrapper ruWrapper, InputControlWrapper icW)`
`org.springframework.webflow.execution.Event` | `addResource(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `checkDataSource(org.springframework.webflow.execution.RequestContext context, java.lang.String queryLanguage)`
`protected boolean` | `checkDataSourceType(ReportDataSource ds, java.util.Set supportedTypes)`
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `editControl(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `editResource(org.springframework.webflow.execution.RequestContext context)`
`ConfigurationBean` | `getConfiguration()`
`EngineService` | `getEngine()`
`protected ReportUnitWrapper` | `getFormReportUnitWrapper(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getQueryReferenceOutpuAttrName()`
`java.lang.String` | `getQueryReferenceReqAttrName()`
`java.lang.String` | `getReportQueryLanguageFlowAttribute()`
`RepositoryService` | `getRepository()`
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)` Registers a byte array editor to allow spring handle File uploads as byte arrays
`org.springframework.webflow.execution.Event` | `locateDataSource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `prepareQuery(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `removeControl(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `removeResource(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `replaceInputControl(ReportUnitWrapper ruWrapper, InputControlWrapper icW)`
`org.springframework.webflow.execution.Event` | `saveControl(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveDatasource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveReport(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveResource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `selectControlType(org.springframework.webflow.execution.RequestContext context)`
`void` | `setConfiguration(ConfigurationBean configuration)`
`void` | `setEngine(EngineService engine)`
`protected void` | `setJRXMLQueryLanguage(org.springframework.webflow.execution.RequestContext context, boolean changed)`
`org.springframework.webflow.execution.Event` | `setQueryReference(org.springframework.webflow.execution.RequestContext context)`
`void` | `setQueryReferenceOutpuAttrName(java.lang.String queryReferenceOutpuAttrName)`
`void` | `setQueryReferenceReqAttrName(java.lang.String queryReferenceReqAttrName)`
`void` | `setReportQueryLanguageFlowAttribute(java.lang.String queryLanguageFlowAttribute)`
`void` | `setRepository(RepositoryService repository)`
`org.springframework.webflow.execution.Event` | `setupListResources(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `updateSuggestedInputControl(ReportUnitWrapper ruWrapper, InputControlWrapper icW)`
`org.springframework.webflow.execution.Event` | `uploadJRXML(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `validateReport(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### ReportUnitAction

    public ReportUnitAction()

Method Detail

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFormReportUnitWrapper

    protected ReportUnitWrapper getFormReportUnitWrapper(org.springframework.webflow.execution.RequestContext context)

### uploadJRXML

    public org.springframework.webflow.execution.Event uploadJRXML(org.springframework.webflow.execution.RequestContext context)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setupListResources

    public org.springframework.webflow.execution.Event setupListResources(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeResource

    public org.springframework.webflow.execution.Event removeResource(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeControl

    public org.springframework.webflow.execution.Event removeControl(org.springframework.webflow.execution.RequestContext context)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addResource

    public org.springframework.webflow.execution.Event addResource(org.springframework.webflow.execution.RequestContext context)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addControl

    public org.springframework.webflow.execution.Event addControl(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editResource

    public org.springframework.webflow.execution.Event editResource(org.springframework.webflow.execution.RequestContext context)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editControl

    public org.springframework.webflow.execution.Event editControl(org.springframework.webflow.execution.RequestContext context)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### selectControlType

    public org.springframework.webflow.execution.Event selectControlType(org.springframework.webflow.execution.RequestContext context)
                                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveResource

    public org.springframework.webflow.execution.Event saveResource(org.springframework.webflow.execution.RequestContext context)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveControl

    public org.springframework.webflow.execution.Event saveControl(org.springframework.webflow.execution.RequestContext context)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addInputControl

    protected void addInputControl(ReportUnitWrapper ruWrapper,
                                   InputControlWrapper icW)

### replaceInputControl

    protected void replaceInputControl(ReportUnitWrapper ruWrapper,
                                       InputControlWrapper icW)

### updateSuggestedInputControl

    protected void updateSuggestedInputControl(ReportUnitWrapper ruWrapper,
                                               InputControlWrapper icW)

### locateDataSource

    public org.springframework.webflow.execution.Event locateDataSource(org.springframework.webflow.execution.RequestContext context)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveDatasource

    public org.springframework.webflow.execution.Event saveDatasource(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveReport

    public org.springframework.webflow.execution.Event saveReport(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`

### validateReport

    public org.springframework.webflow.execution.Event validateReport(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getEngine

    public EngineService getEngine()

### setEngine

    public void setEngine(EngineService engine)

### getConfiguration

    public ConfigurationBean getConfiguration()

### setConfiguration

    public void setConfiguration(ConfigurationBean configuration)

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext context,
                              org.springframework.validation.DataBinder binder)

  Registers a byte array editor to allow spring handle File uploads as byte arrays

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`

### prepareQuery

    public org.springframework.webflow.execution.Event prepareQuery(org.springframework.webflow.execution.RequestContext context)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setQueryReference

    public org.springframework.webflow.execution.Event setQueryReference(org.springframework.webflow.execution.RequestContext context)
                                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getQueryReferenceReqAttrName

    public java.lang.String getQueryReferenceReqAttrName()

  Returns:
    Returns the queryReferenceReqAttrName.

### setQueryReferenceReqAttrName

    public void setQueryReferenceReqAttrName(java.lang.String queryReferenceReqAttrName)

  Parameters:
    `queryReferenceReqAttrName` - The queryReferenceReqAttrName to set.

### getQueryReferenceOutpuAttrName

    public java.lang.String getQueryReferenceOutpuAttrName()

  Returns:
    Returns the queryReferenceOutpuAttrName.

### setQueryReferenceOutpuAttrName

    public void setQueryReferenceOutpuAttrName(java.lang.String queryReferenceOutpuAttrName)

  Parameters:
    `queryReferenceOutpuAttrName` - The queryReferenceOutpuAttrName to set.

### setJRXMLQueryLanguage

    protected void setJRXMLQueryLanguage(org.springframework.webflow.execution.RequestContext context,
                                         boolean changed)

### checkDataSource

    protected void checkDataSource(org.springframework.webflow.execution.RequestContext context,
                                   java.lang.String queryLanguage)

### checkDataSourceType

    protected boolean checkDataSourceType(ReportDataSource ds,
                                          java.util.Set supportedTypes)

### getReportQueryLanguageFlowAttribute

    public java.lang.String getReportQueryLanguageFlowAttribute()

### setReportQueryLanguageFlowAttribute

    public void setReportQueryLanguageFlowAttribute(java.lang.String queryLanguageFlowAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.